from tkinter import *
from tkinter import messagebox

class LoginApp:
    def __init__(self, root):
        """Initialize login window."""
        self.root = root
        self.root.title("Login Page")  # Set window title
        self.root.geometry("400x150")  # Set window size

        # === Frame for input fields ===
        f1 = Frame(root)
        f1.pack(side=TOP, pady=10)  # Add spacing at the top

        # --- Username input ---
        Label(f1, text="Username").grid(row=0, column=0, padx=5, pady=2, sticky=E)  # Label
        self.user = StringVar()  # Variable to store username
        Entry(f1, textvariable=self.user, bd=2).grid(row=0, column=1, padx=5, pady=2)  # Input field

        # --- Password input (masked) ---
        Label(f1, text="Password").grid(row=1, column=0, padx=5, pady=2, sticky=E)  # Label
        self.password = StringVar()  # Variable to store password
        Entry(f1, textvariable=self.password, bd=2, show="*").grid(row=1, column=1, padx=5, pady=2)  # Input field (masked)

        Button(text="LOGIN", command=self.validate).pack(pady=10)  # Login button

    def validate(self):
        """Capture and display entered username and password."""
        messagebox.showinfo("Login Info", f"Username: {self.user.get()}\nPassword: {self.password.get()}")

# Create and run application
if __name__ == "__main__":
    root = Tk()
    app = LoginApp(root)  # Instantiate the LoginApp class
    root.mainloop()  # Run the main event loop